# Cubo Libre M.2

The SiFive HiFive Unmatched board comes with two M.2 connectors.

* Wikipedia M.2:
https://en.wikipedia.org/wiki/M.2

* `E`: 24-31 pins, 2x PCIe x1, USB 2.0, I2C, SDIO, UART and PCM.

* `M`: 59-66 pins, PCIe x4, SATA and SMBus.


Need to determine compatibility for width/length.


# Getting Started Guide:

* M.2 E Key Connector for WiFi/Bluetooth.

* M.2 M Key Connector for NVMe SSD.

# BOM

In the bill of materials, these components are used for attaching
M.2 devices:

* `P/N J0000059`,
`CONN M.2 EDGE M KEY DUAL FMALE 67POS 0.020`.
Two manufacturer components are listed:

* Antenk Electronics `AP-APCI0079-P`,

* `TE Connectivity 1-2199119-5`.

* `P/N J0000089`,
`CONN M.2 EDGE E KEY DUAL FMALE 67POS 0.020`.
Two manufacturer components are listed:

* Antenk Electronics `AP-APCI0085-B`.

* TE Connectivity `2199119-4`.

* `P/N K0000002` is an M.2 spacer, two on the motherboard:
`M.2 SMD SPACER M2.5 SCREW`.
Manufacturer: Penn Engineering, P/N `SMTSO-M25-2ET`.

